description = "Public virus configuration for virus surveillance dashboards"

[virus.norovirus_gii]
name = "Norovirus genogroup II"
search_criteria = ["rank LIKE '%norovirus gii;%'"]
type = "enteric"
family = "Caliciviridae"
visibility = "public"
vaccine_preventable = false
description = "Most common cause of viral gastroenteritis outbreaks"

[virus.norovirus_gi]
name = "Norovirus genogroup I"
search_criteria = ["rank LIKE '%norovirus gi;%'"]
type = "enteric"
family = "Caliciviridae"
visibility = "public"
vaccine_preventable = false
description = "Second most common norovirus genogroup"

[virus.norovirus_giv]
name = "Norovirus genogroup IV"
search_criteria = ["rank LIKE '%norovirus giv;%'"]
type = "enteric"
family = "Caliciviridae"
visibility = "public"
vaccine_preventable = false
description = "Less common norovirus genogroup"

[virus.rotavirus_a]
name = "Rotavirus A"
search_criteria = ["rank LIKE '%rotavirus a%'", "stitle LIKE '%human%'"]
type = "enteric"
family = "Reoviridae"
visibility = "public"
vaccine_preventable = true
description = "Leading cause of severe diarrhea in children"

[virus.rotavirus_b]
name = "Rotavirus B"
search_criteria = ["rank LIKE '%rotavirus b%'", "stitle LIKE '%human%'"]
type = "enteric"
family = "Reoviridae"
visibility = "public"
vaccine_preventable = true
description = "Less common rotavirus species"

[virus.rotavirus_c]
name = "Rotavirus C"
search_criteria = ["rank LIKE '%rotavirus c%'", "stitle LIKE '%human%'"]
type = "enteric"
family = "Reoviridae"
visibility = "public"
vaccine_preventable = true
description = "Rotavirus C infections in humans"

[virus.astrovirus_other]
name = "Astrovirus (other)"
search_criteria = ["rank LIKE '%human astrovirus%'"]
type = "enteric"
family = "Astroviridae"
visibility = "public"
vaccine_preventable = false
description = "Human astroviruses excluding MLB and VA types"

[virus.astrovirus_mlb]
name = "Astrovirus MLB"
search_criteria = ["rank LIKE '%astrovirus mlb%'"]
type = "enteric"
family = "Astroviridae"
visibility = "public"
vaccine_preventable = false
description = "Melbourne astrovirus lineage"

[virus.astrovirus_va]
name = "Astrovirus VA"
search_criteria = ["rank LIKE '%astrovirus va%'"]
type = "enteric"
family = "Astroviridae"
visibility = "public"
vaccine_preventable = false
description = "Virginia astrovirus lineage"

[virus.sapporo_virus]
name = "Sapporo virus"
search_criteria = ["rank LIKE '%sapporo virus%'", "stitle LIKE '%hu/%'"]
type = "enteric"
family = "Caliciviridae"
visibility = "public"
vaccine_preventable = false
description = "Calicivirus causing gastroenteritis"

[virus.kobuvirus_aichi]
name = "Kobuvirus aichi"
search_criteria = ["rank LIKE '%kobuvirus%'", "stitle LIKE '%hu/%'"]
type = "enteric"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Aichi virus causing gastroenteritis"

[virus.adenovirus_f40]
name = "Adenovirus F40"
search_criteria = ["rank LIKE '%human adenovirus 40%'"]
type = "enteric"
family = "Adenoviridae"
visibility = "public"
vaccine_preventable = false
description = "Enteric adenovirus type 40"

[virus.adenovirus_f41]
name = "Adenovirus F41"
search_criteria = ["rank LIKE '%human adenovirus 41%'"]
type = "enteric"
family = "Adenoviridae"
visibility = "public"
vaccine_preventable = false
description = "Enteric adenovirus type 41"

[virus.human_mastadenovirus_a]
name = "Human mastadenovirus A"
search_criteria = ["rank LIKE '%human mastadenovirus a%'"]
type = "enteric"
family = "Adenoviridae"
visibility = "public"
vaccine_preventable = false
description = "Adenovirus species A"

[virus.human_mastadenovirus_b]
name = "Human mastadenovirus B"
search_criteria = ["rank LIKE '%human mastadenovirus b%'"]
type = "enteric"
family = "Adenoviridae"
visibility = "public"
vaccine_preventable = false
description = "Adenovirus species B"

[virus.human_mastadenovirus_c]
name = "Human mastadenovirus C"
search_criteria = ["rank LIKE '%human mastadenovirus c%'"]
type = "enteric"
family = "Adenoviridae"
visibility = "public"
vaccine_preventable = false
description = "Adenovirus species C"

[virus.human_mastadenovirus_d]
name = "Human mastadenovirus D"
search_criteria = ["rank LIKE '%human mastadenovirus d%'"]
type = "enteric"
family = "Adenoviridae"
visibility = "public"
vaccine_preventable = false
description = "Adenovirus species D"

[virus.human_mastadenovirus_f]
name = "Human mastadenovirus F"
search_criteria = ["species LIKE '%human mastadenovirus f%'"]
type = "enteric"
family = "Adenoviridae"
visibility = "public"
vaccine_preventable = false
description = "Adenovirus species F (enteric types 40/41)"

[virus.picobirnavirus]
name = "Picobirnavirus"
search_criteria = ["rank LIKE '%human picobirnavirus%'"]
type = "enteric"
family = "Picobirnaviridae"
visibility = "public"
vaccine_preventable = false
description = "Emerging enteric virus"

[virus.hepatitis_a]
name = "Hepatitis A"
search_criteria = ["species LIKE '%hepatovirus a%'"]
type = "enteric"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = true
description = "Hepatitis A virus"

[virus.sars_cov_2]
name = "Coronavirus SARS-CoV-2"
search_criteria = ["rank LIKE '%severe acute respiratory syndrome-related coronavirus%'"]
type = "respiratory"
family = "Coronaviridae"
visibility = "public"
vaccine_preventable = true
description = "COVID-19 causative agent"

[virus.influenza_a_h1n1]
name = "Influenza A H1N1"
search_criteria = ["species LIKE '%influenza a%'", "(species LIKE '%h1%' OR stitle LIKE '%h1%')"]
type = "respiratory"
family = "Orthomyxoviridae"
visibility = "public"
vaccine_preventable = true
description = "Seasonal H1N1 influenza"

[virus.influenza_a_h3n2]
name = "Influenza A H3N2"
search_criteria = ["species LIKE '%influenza a%'", "(species LIKE '%h3%' OR stitle LIKE '%h3%')"]
type = "respiratory"
family = "Orthomyxoviridae"
visibility = "public"
vaccine_preventable = true
description = "Seasonal H3N2 influenza"

[virus.influenza_a_h5n1]
name = "Influenza A H5N1"
search_criteria = ["species LIKE '%influenza a%'", "(species LIKE '%h5%' OR stitle LIKE '%h5%')"]
type = "respiratory"
family = "Orthomyxoviridae"
visibility = "public"
vaccine_preventable = true
description = "Avian influenza H5N1"

[virus.influenza_a_total]
name = "Influenza A (total)"
search_criteria = ["species LIKE '%influenza a%'"]
type = "respiratory"
family = "Orthomyxoviridae"
visibility = "public"
vaccine_preventable = true
description = "All influenza A subtypes combined"

[virus.influenza_b]
name = "Influenza B"
search_criteria = ["rank LIKE '%betainfluenzavirus influenzae%'"]
type = "respiratory"
family = "Orthomyxoviridae"
visibility = "public"
vaccine_preventable = true
description = "Seasonal influenza B"

[virus.influenza_c]
name = "Influenza C"
search_criteria = ["rank LIKE '%gammainfluenzavirus influenzae%'"]
type = "respiratory"
family = "Orthomyxoviridae"
visibility = "public"
vaccine_preventable = false
description = "Influenza C virus"

[virus.rsv_a]
name = "Pneumovirus RSV-A"
search_criteria = ["species LIKE '%human respiratory syncytial virus a%'"]
type = "respiratory"
family = "Pneumoviridae"
visibility = "public"
vaccine_preventable = true
description = "Respiratory syncytial virus subgroup A"

[virus.rsv_b]
name = "Pneumovirus RSV-B"
search_criteria = ["species LIKE '%human respiratory syncytial virus b%'"]
type = "respiratory"
family = "Pneumoviridae"
visibility = "public"
vaccine_preventable = true
description = "Respiratory syncytial virus subgroup B"

[virus.parainfluenza_1]
name = "Parainfluenza 1"
search_criteria = ["species LIKE '%human respirovirus 1%'"]
type = "respiratory"
family = "Orthomyxoviridae"
visibility = "public"
vaccine_preventable = false
description = "Human parainfluenza virus 1"

[virus.parainfluenza_2]
name = "Parainfluenza 2"
search_criteria = ["species LIKE '%human orthorubulavirus 2%'"]
type = "respiratory"
family = "Orthomyxoviridae"
visibility = "public"
vaccine_preventable = false
description = "Human parainfluenza virus 2"

[virus.parainfluenza_3]
name = "Parainfluenza 3"
search_criteria = ["species LIKE '%human respirovirus 3%'"]
type = "respiratory"
family = "Orthomyxoviridae"
visibility = "public"
vaccine_preventable = false
description = "Human parainfluenza virus 3"

[virus.parainfluenza_4]
name = "Parainfluenza 4"
search_criteria = ["rank LIKE '%orthorubulavirus hominis%'"]
type = "respiratory"
family = "Orthomyxoviridae"
visibility = "public"
vaccine_preventable = false
description = "Human parainfluenza virus 4"

[virus.human_bocavirus]
name = "Human bocavirus"
search_criteria = ["rank LIKE '%bocaparvovirus%'", "stitle LIKE '%human%'"]
type = "respiratory"
family = "Parvoviridae"
visibility = "public"
vaccine_preventable = false
description = "Human bocavirus respiratory infections"

[virus.coronavirus_229e]
name = "Coronavirus 229E"
search_criteria = ["species LIKE '%coronavirus 229e%'"]
type = "respiratory"
family = "Coronaviridae"
visibility = "public"
vaccine_preventable = false
description = "Human coronavirus 229E"

[virus.coronavirus_hku1]
name = "Coronavirus HKU1"
search_criteria = ["species LIKE '%coronavirus hku1%'"]
type = "respiratory"
family = "Coronaviridae"
visibility = "public"
vaccine_preventable = false
description = "Human coronavirus HKU1"

[virus.coronavirus_nl63]
name = "Coronavirus NL63"
search_criteria = ["species LIKE '%coronavirus nl63%'"]
type = "respiratory"
family = "Coronaviridae"
visibility = "public"
vaccine_preventable = false
description = "Human coronavirus NL63"

[virus.coronavirus_oc43]
name = "Coronavirus OC43"
search_criteria = ["species LIKE '%coronavirus oc43%'"]
type = "respiratory"
family = "Coronaviridae"
visibility = "public"
vaccine_preventable = false
description = "Human coronavirus OC43"

[virus.enterovirus_a71]
name = "Enterovirus A71"
search_criteria = ["rank LIKE '%enterovirus a71%'"]
type = "respiratory"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = true
description = "Enterovirus A71 (hand, foot, and mouth disease)"

[virus.enterovirus_other_a]
name = "Enterovirus Other A"
search_criteria = ["rank LIKE '%enterovirus a%'", "rank NOT LIKE '%enterovirus a71%'"]
type = "respiratory"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Enterovirus A (excluding A71)"

[virus.enterovirus_b]
name = "Enterovirus B"
search_criteria = ["rank LIKE '%enterovirus b%'"]
type = "respiratory"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Enterovirus B"

[virus.enterovirus_c]
name = "Enterovirus C"
search_criteria = ["rank LIKE '%enterovirus c%'"]
type = "respiratory"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Enterovirus C"

[virus.enterovirus_d68]
name = "Enterovirus D68"
search_criteria = ["rank LIKE '%enterovirus d68%'"]
type = "respiratory"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Enterovirus D68 (severe respiratory illness)"

[virus.metapneumovirus]
name = "Metapneumovirus"
search_criteria = ["rank LIKE '%metapneumovirus hominis%'"]
type = "respiratory"
family = "Pneumoviridae"
visibility = "public"
vaccine_preventable = false
description = "Human metapneumovirus"

[virus.parechovirus_a]
name = "Parechovirus A"
search_criteria = ["rank LIKE '%parechovirus a%'"]
type = "respiratory"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Human parechovirus A"

[virus.rhinovirus_a]
name = "Rhinovirus A"
search_criteria = ["species LIKE '%rhinovirus a%'"]
type = "respiratory"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Human rhinovirus A"

[virus.rhinovirus_b]
name = "Rhinovirus B"
search_criteria = ["species LIKE '%rhinovirus b%'"]
type = "respiratory"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Human rhinovirus B"

[virus.rhinovirus_c]
name = "Rhinovirus C"
search_criteria = ["species LIKE '%rhinovirus c%'"]
type = "respiratory"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Human rhinovirus C"

[virus.rhinovirus_total]
name = "Rhinovirus (total)"
search_criteria = ["species LIKE '%rhinovirus%'"]
type = "respiratory"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "All rhinovirus species combined"

[virus.prrsv_pig]
name = "PRRSV (pig)"
search_criteria = ["rank LIKE '%betaarterivirus suid%'"]
type = "animal"
family = "Arteriviridae"
visibility = "public"
vaccine_preventable = false
description = "Porcine reproductive and respiratory syndrome virus"

[virus.calicivirus_salovirus]
name = "Calicivirus salovirus (fish)"
search_criteria = ["rank LIKE '%salovirus%'"]
type = "animal"
family = "Caliciviridae"
visibility = "public"
vaccine_preventable = false
description = "Fish salovirus"

[virus.calicivirus_st_valerien]
name = "Calicivirus St-Valerien swine virus (pig)"
search_criteria = ["rank LIKE '%st-valerien%'"]
type = "animal"
family = "Caliciviridae"
visibility = "public"
vaccine_preventable = false
description = "Swine calicivirus"

[virus.calicivirus_vesivirus]
name = "Calicivirus vesivirus (cat and dog)"
search_criteria = ["rank LIKE '%vesivirus%'"]
type = "animal"
family = "Caliciviridae"
visibility = "public"
vaccine_preventable = false
description = "Feline and canine vesivirus"

[virus.coronavirus_tegacovirus]
name = "Coronavirus tegacovirus (cat, dog, and pig)"
search_criteria = ["rank LIKE '%tegacovirus%'"]
type = "animal"
family = "Coronaviridae"
visibility = "public"
vaccine_preventable = false
description = "Animal tegacovirus"

[virus.coronavirus_avian]
name = "Coronavirus avian coronaviruses (bird)"
search_criteria = ["rank LIKE '%gammacoronavirus%' OR rank LIKE '%sparrow deltacoronavirus%'"]
type = "animal"
family = "Coronaviridae"
visibility = "public"
vaccine_preventable = false
description = "Avian coronaviruses"

[virus.coronavirus_luchacovirus]
name = "Coronavirus Luchacovirus (rodent)"
search_criteria = ["rank LIKE '%luchacovirus%'"]
type = "animal"
family = "Coronaviridae"
visibility = "public"
vaccine_preventable = false
description = "Rodent luchacovirus"

[virus.coronavirus_pedacovirus]
name = "Coronavirus pedacovirus (pig)"
search_criteria = ["rank LIKE '%pedacovirus%'"]
type = "animal"
family = "Coronaviridae"
visibility = "public"
vaccine_preventable = false
description = "Porcine pedacovirus"

[virus.coronavirus_hku15]
name = "Coronavirus HKU15 (pig)"
search_criteria = ["rank LIKE '%coronavirus hku15%'"]
type = "animal"
family = "Coronaviridae"
visibility = "public"
vaccine_preventable = false
description = "Porcine coronavirus HKU15"

[virus.enterovirus_g_pig]
name = "Enterovirus G (pig)"
search_criteria = ["rank LIKE '%enterovirus g%'"]
type = "animal"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Porcine enterovirus G"

[virus.picornavirus_megrivirus]
name = "Picornavirus megrivirus (bird)"
search_criteria = ["rank LIKE '%megrivirus%'"]
type = "animal"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Avian megrivirus"

[virus.picornavirus_kobuvirus_cebes]
name = "Picornavirus kobuvirus cebes (pig)"
search_criteria = ["rank LIKE '%kobuvirus cebes%'"]
type = "animal"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Porcine kobuvirus cebes"

[virus.picornavirus_teschovirus]
name = "Picornavirus teschovirus (pig)"
search_criteria = ["rank LIKE '%teschovirus%'"]
type = "animal"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Porcine teschovirus"

[virus.picornavirus_sapelovirus_a]
name = "Picornavirus sapelovirus A (pig)"
search_criteria = ["rank LIKE '%sapelovirus a%'"]
type = "animal"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Porcine sapelovirus A"

[virus.picornavirus_ampivirus]
name = "Picornavirus ampivirus (unknown)"
search_criteria = ["rank LIKE '%ampivirus%'"]
type = "animal"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Ampivirus (unknown host)"

[virus.picornavirus_cardiovirus_c]
name = "Picornavirus cardiovirus C (rodent)"
search_criteria = ["rank LIKE '%cardiovirus c%'"]
type = "animal"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Rodent cardiovirus C"

[virus.picornavirus_harg_calici_like]
name = "Picornavirus harg calici-like virus (insect)"
search_criteria = ["rank LIKE '%harg calici-like%'"]
type = "animal"
family = "Picornaviridae"
visibility = "public"
vaccine_preventable = false
description = "Insect calici-like virus"

[virus.novirhabdovirus]
name = "Novirhabdovirus (fish)"
search_criteria = ["rank LIKE '%novirhabdovirus%'"]
type = "animal"
family = "Unknown"
visibility = "public"
vaccine_preventable = false
description = "Fish novirhabdovirus"

[virus.influenza_d]
name = "Influenza D (cow and pig)"
search_criteria = ["rank LIKE '%deltainfluenzavirus%'"]
type = "animal"
family = "Orthomyxoviridae"
visibility = "public"
vaccine_preventable = false
description = "Influenza D virus"

[virus.flavivirus_pestivirus_scrofae]
name = "Flavivirus pestivirus scrofae (pig)"
search_criteria = ["rank LIKE '%pestivirus scrofae%'"]
type = "animal"
family = "Flaviviridae"
visibility = "public"
vaccine_preventable = false
description = "Porcine pestivirus scrofae"

[virus.astrovirus_avian_nephritis]
name = "Astrovirus avian nephritis virus (bird)"
search_criteria = ["rank LIKE '%avian nephritis%'"]
type = "animal"
family = "Astroviridae"
visibility = "public"
vaccine_preventable = false
description = "Avian nephritis virus"

[virus.rat_astrovirus]
name = "Rat astrovirus (rodent)"
search_criteria = ["rank LIKE '%rat astrovirus%'"]
type = "animal"
family = "Astroviridae"
visibility = "public"
vaccine_preventable = false
description = "Rat astrovirus"

[virus.distrovirus_cripavirus]
name = "Distrovirus cripavirus (insect)"
search_criteria = ["rank LIKE '%cripavirus%'"]
type = "animal"
family = "Dicistroviridae"
visibility = "public"
vaccine_preventable = false
description = "Insect cripavirus"

[virus.hepevirus_flumine_hepe_like]
name = "Hepevirus flumine hepe-like virus (unknown)"
search_criteria = ["rank LIKE '%flumine hepe-like%'"]
type = "animal"
family = "Hepeviridae"
visibility = "public"
vaccine_preventable = false
description = "Flumine hepe-like virus"

[virus.parvovirus_flumine]
name = "Parvovirus flumine parvovirus (unknown)"
search_criteria = ["rank LIKE '%flumine parvovirus%'"]
type = "animal"
family = "Parvoviridae"
visibility = "public"
vaccine_preventable = false
description = "Flumine parvovirus"

[virus.parvovirus_aveparvovirus]
name = "Parvovirus aveparvovirus (bird)"
search_criteria = ["rank LIKE '%aveparvovirus%'"]
type = "animal"
family = "Parvoviridae"
visibility = "public"
vaccine_preventable = false
description = "Avian aveparvovirus"

[virus.flavivirus_xiangyun]
name = "Flavivirus XiangYun virus (insect)"
search_criteria = ["rank LIKE '%xiangyun%'"]
type = "animal"
family = "Flaviviridae"
visibility = "public"
vaccine_preventable = false
description = "XiangYun virus"
